Subject: bug#54289: 29.0.50; Emacs ignores xmodmap Super_L assignment

From: Po Lu <[email-masked]>
Date: Tue, 08 Mar 2022 21:35:21 +0800

Stephen Berman <[email-masked]> writes:

> With that Super_L (the Windows key) is again recognized as `/' in
> emacs-29 and also in Firefox.

That confirms it's not really a bug in Emacs.  But I will look for a
better solution to this problem (the commit which introduced this
problem was originally put in to satisfy buggy input methods which act
on modifier keys, but don't filter them out).  Thanks.

> Why does this work but having the mappings in .Xmodmap doesn't?  (I
> also tried putting those three mappings after the five mappings I've
> been using for years in .Xmodmap, but it makes no difference.)

As for that, I have no idea.